## org.aspectj.weaver.tools
Class UnsupportedPointcutPrimitiveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.aspectj.weaver.tools.UnsupportedPointcutPrimitiveException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedPointcutPrimitiveException

extends java.lang.RuntimeException

Author:
  colyer
See Also:
  Serialized Form

Constructor Summary
`UnsupportedPointcutPrimitiveException(java.lang.String pcExpression, PointcutPrimitive primitive)`

Method Summary
`java.lang.String` `getInvalidPointcutExpression()`
`PointcutPrimitive` `getUnsupportedPrimitive()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedPointcutPrimitiveException

    public UnsupportedPointcutPrimitiveException(java.lang.String pcExpression,
                                                 PointcutPrimitive primitive)

Method Detail

### getUnsupportedPrimitive

    public PointcutPrimitive getUnsupportedPrimitive()

  Returns:
    Returns the unsupportedPrimitive.

### getInvalidPointcutExpression

    public java.lang.String getInvalidPointcutExpression()